using EVCB_OCPP.Packet.Messages.SubTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.Security
{
    public class GetLogConfirmation:IConfirmation
    {
        /// <summary>
        /// This field indicates whether the Charge Point was able to accept the
        ///request.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public LogStatusEnumType status { set; get; }

        /// <summary>
        /// This contains the name of the log file that will be uploaded. This field is
        ///not present when no logging information is available
        /// </summary>
        [StringLength(255, MinimumLength = 0)]
        public string filename { set; get; }

        private IRequest _request = null;
        public IRequest GetRequest()
        {
            return _request;
        }

        public void SetRequest(IRequest request)
        {
            _request = request;
        }

        public bool Validate()
        {
            return Validator.TryValidateObject(this, new ValidationContext(this), null, true);
        }
    }
}
